; -------------------------------------------------------------------------
; TESTFILE which should produce a binary compatible file to resetbank.asm
; created for testing the .repeat directive introduced in 0.5.0
; June 2013 by sy2002
; -------------------------------------------------------------------------


.equ	MENU_BANK,	$01

;Reset vector
;------------

	.org $000
	  
	SEL MB0			;switch code located at bank 1
	JMP switch

;External interrupt vector
;-------------------------

;note:
;Adventure vision does not support external interrupt but just in case
	
	.org $003
	
	SEL MB0
	JMP switch
	
	DIS I			;convenient byte filler
	
;timer interupt vector
;---------------------

;Probably never used but this interrupt is supported by adventure vision

	.org $007
	
	SEL MB0
	JMP switch

;fill remainder of this bank with with following sequence:
	
.equ	b1,	$15 ;dis i		
.equ	b2,	$E5	;sel mb0
.equ	b3,	$E4 ;jmp $7F8
.equ	b4, $F8 ;

.repeat 507
	.db b1, b2, b3, b4
.endrepeat
	.db b1,b2

;-------------------------------
;The switch to bank 1 routine 
;-------------------------------

;disable interrupts, select external BIOS and jump to $000 in bank 1

;note:
;When the menu button is hold down the code will loop continiously back
; to this switch routine until the menu button is released.
		
	.org	$7F8	;start here to ensure the movp3 a,@a wraps to $000
	
switch:
		
	sel mb0			;memory bank 0
	orl p1,$FF		;port 1 defaults
	orl p2,$FF		;port 2 defaults
	mov a,MENU_BANK	;normally bank 1
	movp3 a,@a		;select bank and wrap to $000 in this bank

;----------------------------------------------
;2nd memory bank 
;----------------------------------------------

	.org $800

;fill remainder of this bank with with following sequence:

; 2 x $FF = $1FE elements are needed

; for testing asm48 0.5.0: do first half directly here...
.repeat $FF
	dis i
	sel mb1
	jmp $FF8
.endrepeat

; ... and do second half by including an include file that includes an include file.
.include "resetbank-testinc1.asm"
	
	.org $FF8

	dis i		;disable interrupts
	sel mb0		;select bank 0
	orl p1,$FF	;disables BIOS
	orl p2,$FF	;port 2 defaults
	jmp $000	;reset
	
